﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=3.5
@EndOfDesignText@
'Class module
Sub Class_Globals
	Private fx As JFX
	Private ListView1 As ListView
	Private frm As Form
	Private btnCancel As Button
End Sub

Public Sub Initialize (CurrentFont As Font)
	frm.Initialize("frm", 300, 500)
	frm.RootPane.LoadLayout("FontPicker")
	For Each f As String In fx.GetAllFontFamilies
		Dim lbl As Label
		lbl.Initialize("")
		lbl.Font = fx.CreateFont(f, 14, False, False)
		lbl.Text = f
		ListView1.Items.Add(lbl)
		If lbl.Font.FamilyName = CurrentFont.FamilyName Then
			ListView1.SelectedIndex = ListView1.Items.Size - 1
			ListView1.ScrollTo(ListView1.Items.Size - 1)
		End If
	Next
End Sub

Public Sub ShowAndWait As Font
	frm.ShowAndWait
	If ListView1.SelectedIndex >= 0 Then
		Dim lbl As Label = ListView1.SelectedItem
		Return lbl.Font
	Else
		Return Null
	End If
End Sub

Sub btnCancel_Action
	ListView1.SelectedIndex = -1
	frm.Close
End Sub

Sub btnOK_Action
	frm.Close
End Sub